org.eclipse.net4j

## Interface ILocationAware

- All Known Subinterfaces:
    IChannel, IChannelMultiplexer, IConnector, IHTTPConnector, IJVMChannel, IJVMConnector, InternalChannel, InternalChannelMultiplexer, InternalConnector, IProtocol<INFRA_STRUCTURE>, IProtocol2<INFRA_STRUCTURE>, IServerConnector, ISignalProtocol<INFRA_STRUCTURE>, ITCPConnector
  All Known Implementing Classes:
    AuthenticatingSignalProtocol, Channel, ChannelMultiplexer, Connector, HeartBeatProtocol, HeartBeatProtocol.Server, Protocol, SignalProtocol

      public interface ILocationAware

  A concept that has a `location` in a `client`/`server` scenario.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ILocationAware.Location` A `location` in a `client`/`server` scenario.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ILocationAware.Location` | `getLocation()` Returns the location of this object in a `client`/`server` scenario.
    `boolean` | `isClient()` Same as ``getLocation()` == `ILocationAware.Location.CLIENT``.
    `boolean` | `isServer()` Same as ``getLocation()` == `ILocationAware.Location.SERVER``.

- - ### Method Detail

    - #### getLocation

          ILocationAware.Location getLocation()

      Returns the location of this object in a `client`/`server` scenario.

    - #### isClient

          boolean isClient()

      Same as ``getLocation()` == `ILocationAware.Location.CLIENT``.

    - #### isServer

          boolean isServer()

      Same as ``getLocation()` == `ILocationAware.Location.SERVER``.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html